## yarnd v0.16.0 Brilliant Bismuth

Hello Yarners! 🤗

We are thrilled to announce the release of yarnd v0.16.0! It's been a while since our last update, and we've packed this release with a host of improvements, new features, and important bug fixes. A heartfelt thanks to everyone who contributed to making Yarn.social a better platform.

Without further ado, here are the highlights for the 0.16.0 release!

### Highlights

#### HTMX Enhancements
We've made significant improvements to our integration with HTMX, bringing a smoother Single Page Application (SPA) experience. This means less page reloading and more dynamic updates for views like Timeline, Mentions, and Discover. Navigation and content updates are now more seamless, providing a smoother user experience.

#### New Debug Sub-command
A new `debug` sub-command has been added to the `yarnc` command-line tool. This feature is designed to make debugging easier for developers, allowing them to extract heap profiles at runtime and gain better insights into the system's performance and behavior.

#### Feed Management Tools
Managing feeds has never been easier with the introduction of new tools for inspecting and managing feeds. We've added scripts for deleting feeds from the cache and improved the functionality for skipping inactive users, making feed management more efficient and user-friendly.

#### Enhanced Security
Security is a top priority, and this release addresses several critical security issues. Notably, we have fixed a significant flaw in the `receiveFile` function to prevent potential abuse. Other security enhancements ensure a safer environment for all users.

#### ActivityPub Integration
Our support for ActivityPub has been significantly enhanced. This includes better handling of mentions, avatars, and followers, as well as improved content negotiation for profiles and permalinks. These changes make interaction with ActivityPub users more reliable and feature-rich.

#### User Experience Improvements
We've made numerous improvements to the user interface and overall user experience. This includes fixing various UI bugs, enhancing error handling for login and registration forms, and adding better support for keyboard shortcuts. These enhancements make Yarn.social more intuitive and enjoyable to use.

#### Backup and Restore Capabilities
New backup and restore tools have been added, allowing administrators to easily back up and restore the database. This feature provides greater reliability and ease of maintenance for Yarn.social instances.

### Conclusion
This release is packed with valuable improvements and new features that enhance the overall functionality, security, and user experience of Yarn.social. We hope you enjoy the new updates and look forward to your feedback!

Happy Yarn-ing! 🧶